Bug 1278742 - bodhi -u USER --my-overrides traceback
bodhi -u USER --my-overrides traceback
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 05:44 EST by Jaroslav Škarvada
Modified: 2017-08-08 08:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:21:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2015-11-06 05:44:19 EST
Description of problem:
'bodhi -u USER --my-overrides', where USER is my username tracebacks

Version-Release number of selected component (if applicable):
bodhi-client-0.9.12.2-1.fc22.noarch

How reproducible:
Always

Steps to Reproduce:
1. bodhi -u USER --my-overrides


Actual results:
No handlers could be found for logger "fedora.client.bodhi"
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 532, in <module>
    main()
  File "/usr/bin/bodhi", line 447, in main
    }, auth=True)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 248, in send_request
    output = func(method, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 88, in _decorator
    output = func(request, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 203, in _authed_post
    response = self._session.post(url, params=params, data=data, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 508, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
TypeError: request() got an unexpected keyword argument 'req_params'


Expected results:
No traceback, list of my overrides

Additional info:
Comment 1 Julian Sikorski 2016-01-12 12:52:33 EST
Happens on F22 as well:
bodhi-client-0.9.12.2-3.fc22.noarch
python-fedora-0.6.4-1.fc22.noarch

$ bodhi -u belegdol -N "For gnumeric" -o goffice-0.10.25-1.fc23
No handlers could be found for logger "fedora.client.bodhi"
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 537, in <module>
    main()
  File "/usr/bin/bodhi", line 433, in main
    }, auth=True)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 250, in send_request
    output = func(method, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 88, in _decorator
    output = func(request, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 205, in _authed_post
    response = self._session.post(url, params=params, data=data, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 508, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
TypeError: request() got an unexpected keyword argument 'req_params'
Comment 2 Tim Niemueller 2016-02-01 11:30:26 EST
I have the same problem on F23 and can neither list nor request build overrides.
bodhi-client-0.9.12.2-3.fc23.noarch
Comment 3 josef radinger 2016-02-27 14:38:17 EST
me too
Comment 4 josef radinger 2016-02-27 14:43:12 EST
beside this happens on f22 for me
Comment 5 Julian Sikorski 2016-05-07 10:32:53 EDT
Fedora 22 is still affected:
bodhi-client-0.9.12.2-3.fc22.noarch
python-fedora-0.8.0-1.fc22.noarch
Comment 6 Michal Hlavinka 2016-06-28 10:35:28 EDT
same on Fedora 24, as F22 will eol soonish, changing version to prevent automatic closing
Comment 7 Julian Sikorski 2016-08-27 05:38:40 EDT
bodhi-client-0.9.12.2-4.fc24.noarch is still affected. Having to use web interface to request overrides for multiple branches seriously limits the productivity.
Comment 8 Randy Barlow 2016-10-18 00:53:54 EDT
Hello!

I have recently become the primary caretaker of Bodhi and I've inherited a number of issues related to bodhi 0.9. I wanted to be forthcoming with you that it will be difficult for me to fix issues with bodhi 0.9 while also pressing forward with bodhi 2, especially since I do not have any familiarity with the bodhi 0.9 codebase. I'm happy to keep this bug open to track the problem, but I would also encourage you to please test the bodhi 2 client (currently available in Rawhide and Copr[0]). Unfortunately, the bodhi 2 client is not backwards compatible with bodhi 0.9, so at this time I only plan for bodhi 2 to be released with Fedora 26 and EPEL 7 (with special permission from the EPEL SC).

Here are some options you could pursue for this issue:

0) Write a patch for me that can be applied with the spec file. If you are willing to take the time to learn the bodhi 0.9 code, write a patch, and test it, I am willing to accept patches to be applied during build.
1) Use Rawhide.
2) Install bodhi 2 from my Copr[0].

I apologize as I understand that this is probably disappointing news for you to hear, but I thought it would be better to be forthcoming than to let the bug languish. I appreciate your understanding!


[0] https://copr.fedorainfracloud.org/coprs/bowlofeggs/bodhi/
Comment 9 Fedora End Of Life 2017-07-25 15:26:42 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2017-08-08 08:21:59 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.